Name:           lazarus
Version:        0.9.24
Release:        alt2.3.2
Summary:        Lazarus Component Library and IDE
Group:          Development/Other
License:        GPL and modified LGPL
URL:            http://www.lazarus.freepascal.org/
Source0:        %name-%version-0.tar.bz2
Packager:       Alexey Shentzev <ashen@altlinux.ru>
Requires:       fpc, fpc-src, gdb, glib-devel, gdk-pixbuf-devel, gtk+-devel, fonts-ttf-dejavu
BuildRequires:	fpc >= 2.2.0 fpc-utils gdk-pixbuf-devel gtk+-devel libgtk+2-devel libXi-devel desktop-file-utils
Patch0: 	lazarus-0.9.22-alt-relax-onwine.patch
Patch1: 	lazarus-0.9.24-alt-fpc.patch
Patch2: 	lazarus-0.9.24-alt-font.patch

%description
Lazarus is a free and open source Rapid Application Development tool for
the FreePascal compiler using the Lazarus component library - LCL. The LCL
is included in this package.

%description -l ru_RU.UTF8
Lazarus - свободнораспространяемая, с открытым исходным кодом, среда 
для быстрой разработки прикладных программ (Rapid Application Development tool)
на FreePascal, использующая библиотеки компонет LCL (Lazarus component library).
LCL входят в состав данного пакета.

# docs
%package docs
Summary: Lazarus docs
Group: Development/Other
Requires: %name = %version-%release

%description docs
Lazarus docs

%description docs -l ru_RU.UTF8
Документация по Lazarus

# examples
%package examples
Summary: Lazarus examples
Group: Development/Other
Requires: %name = %version-%release

%description examples
Lazarus examples

%description examples -l ru_RU.UTF8
Примеры программ созданных с помощью Lazarus

# tools
%package tools
Summary: Lazarus tools
Group: Development/Other
Requires: %name = %version-%release

%description tools
Lazarus tools

%description tools -l ru_RU.UTF8
Вспомогательный инструментарий для Lazarus

%prep
%setup -q -n %name
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
if [ -n "$FPCCfg" ]; then
	  MAKEOPTS=" -n @$FPCCfg"
fi
export LCL_PLATFORM=gtk
fpcmake -pwr
make
strip lazarus startlazarus lazbuild

%install
mkdir -p %buildroot%_libdir/%name
mkdir -p %buildroot%_bindir
mkdir -p %buildroot%_datadir/pixmaps
mkdir -p %buildroot%_datadir/gnome/apps/Development
mkdir -p %buildroot%_datadir/applications
mkdir -p %buildroot%_mandir/man1
cp -aRf * %buildroot%_libdir/%name/

install -p docs/lazbuild.1 %buildroot%_man1dir/lazbuild.1
install -p -m 644 images/ide_icon48x48.png %buildroot%_datadir/pixmaps/lazarus.png
install -p -m 644 install/lazarus.desktop %buildroot%_datadir/applications/lazarus.desktop

ln -sf ../%_lib/%name/lazarus %buildroot%_bindir/lazarus
ln -sf ../%_lib/%name/startlazarus %buildroot%_bindir/startlazarus
ln -sf ../%_lib/%name/lazbuild %buildroot%_bindir/lazbuild

#fix bug 13256
mkdir -p %buildroot%_datadir/fpcsrc/packages/fcl-base
mkdir -p %buildroot%_datadir/fpcsrc/rtl/inc

%post
%update_menus
%update_desktopdb

%postun
%clean_menus
%clean_desktopdb

%files
%_libdir/%name/
%_bindir/*
%_datadir/pixmaps/lazarus.png
%_datadir/applications/lazarus.desktop
%_mandir/*/*
%exclude %_libdir/%name/docs
%exclude %_libdir/%name/examples
%exclude %_libdir/%name/tools
%exclude %_libdir/%name/debian
#fix bug 13256
%dir %_datadir/fpcsrc/rtl/inc
%dir %_datadir/fpcsrc/packages/fcl-base

%files docs
%_libdir/%name/docs

%files examples
%_libdir/%name/examples

%files tools
%_libdir/%name/tools
%exclude %_libdir/%name/tools/install

%changelog
* Thu Apr 03 2008 Alexey Shentzev <ashen@altlinux.ru> 0.9.24-alt2.3.2
- add russian descriptions
- fix bugs #14516, #14390

* Fri Dec 14 2007 Stanislav Ievlev <inger@altlinux.org> 0.9.24-alt2.3.1
- fix optimization flags (s,OG,O1, s,Og,Os,)

* Fri Dec 07 2007 Alexey Shentzev <ashen@altlinux.ru> 0.9.24-alt2.3
- add call fpcmake -r
- Thanks Slava Dubrovskiy <dubrsl@altlinux.org> for help

* Mon Dec 03 2007 Alexey Shentzev <ashen@altlinux.ru> 0.9.24-alt2.2
- really added requirement on fpc-src

* Mon Dec 03 2007 Alexey Shentzev <ashen@altlinux.ru> 0.9.24-alt2.1
- restore require for fpc-src

* Wed Nov 28 2007 Alexey Shentzev <ashen@altlinux.ru> 0.9.24-alt1
- New version build
- fixed bugs 13256 
- Thanks Sergey Bolshakov <sbolshakov@altlinux.ru> for help and patching

* Mon Oct 15 2007 Alexey Shentzev <ashen@altlinux.ru> 0.9.22-alt1.1
- fixed bug #13052

* Wed Aug 08 2007 Alexey Shentzev <ashen@altlinux.ru> 0.9.22-alt1
- first buid for sisyphus
- Thanks Slava Dubrovskiy <dubrsl@altlinux.org> for help
